Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451547 - Segfault in rb_ipod_db_set_ipod_name() when plugging in new Ipod shuffle
Summary: Segfault in rb_ipod_db_set_ipod_name() when plugging in new Ipod shuffle
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rhythmbox
Version: 9
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-15 14:45 UTC by Thomas Quinn
Modified: 2008-06-26 08:33 UTC (History)
0 users

Fixed In Version: 0.11.5-13.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-26 08:33:43 UTC


Attachments (Terms of Use)

Description Thomas Quinn 2008-06-15 14:45:08 UTC
Description of problem:

After plugging in  a new iPod Shuffle, rhythmbox halts on a segfault.

Version-Release number of selected component (if applicable):

rhythmbox-0.11.5-12.fc9.i386

How reproducible:

Always

Steps to Reproduce:
1.start rhythmbox
2.plug iPod into the USB port
3.
  
Actual results:

Segfault

Expected results:

rhythmbox keeps running.
Additional info:

Here is the stack trace:

#0  rb_ipod_db_set_ipod_name (ipod_db=0x0, 
    name=0xa21ecb8 "Apple iPod Music Player") at rb-ipod-db.c:439
#1  0x06384050 in rb_ipod_source_name_changed_cb (source=0xa210830, 
    spec=0x9c71a10, data=0x0) at rb-ipod-source.c:161
#2  0x002c3fcc in IA__g_cclosure_marshal_VOID__PARAM (
    closure=<value optimized out>, return_value=Could not find the frame base
for "IA__g_cclosure_marshal_VOID__PARAM".
) at gmarshal.c:531
#3  0x002b712b in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:490
#4  0x002cb995 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2440
#5  0x002ccece in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>, 
    var_args=<value optimized out>) at gsignal.c:2199
#6  0x002cd336 in IA__g_signal_emit (instance=Could not find the frame base for
"IA__g_signal_emit".
) at gsignal.c:2243
#7  0x002bb6c1 in g_object_dispatch_properties_changed (object=Could not find
the frame base for "g_object_dispatch_properties_changed".
)
    at gobject.c:563
#8  0x002b7e8f in g_object_notify_dispatcher (object=Could not find the frame
base for "g_object_notify_dispatcher".
) at gobject.c:245
#9  0x002bd784 in IA__g_object_newv (object_type=<value optimized out>, 
    n_parameters=<value optimized out>, parameters=<value optimized out>)
    at gobjectnotifyqueue.c:123
#10 0x002bdcd2 in IA__g_object_new_valist (object_type=<value optimized out>, 
    first_property_name=<value optimized out>, var_args=<value optimized out>)
    at gobject.c:1027
#11 0x002bde1e in IA__g_object_new (object_type=<value optimized out>, 
    first_property_name=Could not find the frame base for "IA__g_object_new".
) at gobject.c:795
#12 0x06383e8c in rb_ipod_source_new (shell=0x9b32018, volume=0x9b3a930)
    at rb-ipod-source.c:273
#13 0x06383584 in create_source_cb (rmm=0x9d2a598, volume=0x9b3a930, 
    plugin=0x9fa64c8) at rb-ipod-plugin.c:205
#14 0x02483056 in rb_marshal_OBJECT__OBJECT (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=Could not find the frame
base for "rb_marshal_OBJECT__OBJECT".
) at rb-marshal.c:327
#15 0x002b712b in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:490
#16 0x002cb995 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2440
#17 0x002ccd58 in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>, 
    var_args=<value optimized out>) at gsignal.c:2209
#18 0x002cd336 in IA__g_signal_emit (instance=Could not find the frame base for
"IA__g_signal_emit".
) at gsignal.c:2243
#19 0x0807c2ad in rb_removable_media_manager_mount_volume (mgr=0x9d2a598, 
    volume=0x9b3a930) at rb-removable-media-manager.c:438
#20 0x0807c48f in rb_removable_media_manager_scan (manager=0x9d2a598)
    at rb-removable-media-manager.c:610
#21 0x080698c5 in _scan_idle (shell=0x9b32018) at rb-shell.c:1294
#22 0x0041c181 in g_idle_dispatch (source=Could not find the frame base for
"g_idle_dispatch".
) at gmain.c:4087
#23 0x0041e098 in IA__g_main_context_dispatch (context=<value optimized out>)
    at gmain.c:2009
#24 0x00421743 in g_main_context_iterate (context=<value optimized out>, 
    block=<value optimized out>, dispatch=<value optimized out>, self=Could not
find the frame base for "g_main_context_iterate".
)
    at gmain.c:2642
#25 0x00421c62 in IA__g_main_loop_run (loop=<value optimized out>)
    at gmain.c:2850
#26 0x03303ac5 in IA__gtk_main () at gtkmain.c:1163
#27 0x0806014d in main (argc=Cannot access memory at address 0x0
) at main.c:340

And some more info:
(gdb) up
#1  0x06384050 in rb_ipod_source_name_changed_cb (source=0xa210830, 
    spec=0x9c71a10, data=0x0) at rb-ipod-source.c:161
161             rb_ipod_db_set_ipod_name (priv->ipod_db, name);
(gdb) p source
$6 = (RBiPodSource *) 0xa210830
(gdb) p *source
$7 = {parent = {parent = {parent = {parent = {box = {container = {widget = {
                object = {parent_instance = {g_type_instance = {
                      g_class = 0xa210368}, ref_count = 2, qdata = 0xa21e6d0}, 
                  flags = 2098978}, private_flags = 13312, state = 0 '\0', 
                saved_state = 0 '\0', name = 0x0, style = 0x9b76058, 
                requisition = {width = 0, height = 0}, allocation = {x = -1, 
                  y = -1, width = 1, height = 1}, window = 0x0, parent = 0x0}, 
              focus_child = 0x0, border_width = 0, need_resize = 0, 
              resize_mode = 0, reallocate_redraws = 0, has_focus_chain = 0}, 
            children = 0xa21c2b0, spacing = 0, homogeneous = 0}}}, 
      priv = 0xa2108b0}}}

Comment 1 Bastien Nocera 2008-06-15 15:37:26 UTC
Upstream BZ:
http://bugzilla.gnome.org/show_bug.cgi?id=524985

Comment 2 Fedora Update System 2008-06-16 11:38:51 UTC
rhythmbox-0.11.5-13.fc9 has been submitted as an update for Fedora 9

Comment 3 Fedora Update System 2008-06-16 23:32:50 UTC
rhythmbox-0.11.5-13.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rhythmbox'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5385

Comment 4 Fedora Update System 2008-06-26 08:33:41 UTC
rhythmbox-0.11.5-13.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.